Attribute VB_Name = "modSR2D"
Option Explicit

Public Enum SR2D_Op
  OpPaint
  OpAlphaTest
  OpAlphaBlend
  OpAlphaCombine
  OpAdd2D
  OpAdd
  OpMod
  OpMod2X
  OpMoveByte
  OpMoveBit
End Enum

Public Declare Function ARGB Lib "SR2D" Alias "ARGB_" (ByVal a As Byte, ByVal r As Byte, ByVal g As Byte, ByVal b As Byte) As Long
Public Declare Function BitMask Lib "SR2D" Alias "EXP2N" (ByVal n As Long) As Long

Public ColVLite As Long

Public Sub SetDirLite(ByVal X As Single, ByVal Y As Single, ByVal Z As Single, ByVal Brite As Single)
Dim r As Long, g As Long, b As Long, k As Single
  If Brite < 0! Then Brite = 0!
  If Brite > 1! Then Brite = 1!
  k = 127.4999! * Brite / Sqr(X * X + Y * Y + Z * Z)

  r = X * k: r = r + 128
  g = Y * k: g = g + 128
  b = Z * k: b = b + 128

  ColVLite = r * &H10000 + g * &H100& + b
End Sub
