VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "Star"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Dim Sp(7) As New SR2D_Sprite
Dim dX(7) As Long, dY(7) As Long

Public Sub DrawTo(Dest As SR2D_Sprite, ByVal x As Single, ByVal y As Single, ByVal z As Single)
Dim n As Long
  n = 7 / (z - 0.9)
  If n > 7 Then n = 7
  x = x / z * 320 + 320 - dX(n)
  y = y / z * 320 + 240 - dY(n)
  Dest.Draw Sp(n), x, y, OpAdd
End Sub

Public Property Get Sprite(n As Long) As SR2D_Sprite
  Set Sprite = Sp(n)
End Property

Private Sub Class_Initialize()
Dim n As Long, x As Long, y As Long, s As Long
Dim SpTmp As New SR2D_Sprite
  SpTmp.Init 32, 32
  Sp(7).LoadFromTGA App.Path & "\star.tga"
  dX(7) = 16
  dY(7) = 16
  For n = 6 To 0 Step -1
    s = (n + 1) * 4
    Sp(n).Init s, s
    dX(n) = s \ 2
    dY(n) = s \ 2
    For y = 0 To s - 1
      For x = 0 To s - 1
        Sp(n).SetPixel x, y, Sp(7).GetPixel(x * 32 / s, y * 32 / s)
      Next x
    Next y
  Next n
'  For n = 6 To 0 Step -1
'    SpTmp.ClearBuffer ARGB(0, (n + 5) * 19, (n + 5) * 19, (n + 5) * 19)
'    Sp(n).Draw SpTmp, 0, 0, OpMod2X
'  Next n
'  SpTmp.ClearBuffer &HFF
'  Sp(7).Draw SpTmp, 0, 0, OpMod2X
'  Set SpTmp = Nothing
End Sub

Private Sub Class_Terminate()
Dim n As Long
  For n = 0 To 7
    Set Sp(n) = Nothing
  Next n
End Sub
